Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Displays warning message for IE6 users that their browser is outdated. This is based off of the ie6-upgrade-warning code mihai.ile wrote on GCode.
JavaScript
Branch: master
Pull request Compare This branch is 4 commits behind jbueza:master.

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
localization
README.md
background_browser.gif
browser_chrome.gif
browser_firefox.gif
browser_ie.gif
browser_opera.gif
browser_safari.gif
index.html
warning.js

README.md

IE6 Upgrade Warning

Example Screenshot

NOTE: This is based off http://code.google.com/p/ie6-upgrade-warning/. Thanks to him for a great script, I've taken it further so that people can localize the messaging into different languages.

The ie6-upgrade-warning is a little script (7.9kb) that displays a warning message politely informing the user to upgrade the browser to a newer version (links to newest IE, Firefox, Opera, Safari, Chrome are provided).

The webpage is still visible behind a transparent background, but access to it is prevented. The idea is to force users to upgrade from IE6 and avoid the website from a bad reputation that website is not rendering correctly in IE6.

Provides a much more sane way of localization.

Usage

Look at the index.html file for example. This is a work in progress, as I'm refactoring someone else's code.

Changelog

  • Fixed JS Lint errors
  • Parameterized configObj so that you can set an imgPath as well as localizations lookup object
Something went wrong with that request. Please try again.